body {
	background: oklch(21.6% 0.006 56.043);
	color: oklch(70.9% 0.01 56.259);
	font-family: Inter, sans-serif;
	margin: 0;
	display: flex;
	flex-direction: column;
	height: 100vh;
}

button {
	cursor: pointer;
}

#give-me-your-data {
	z-index: 100;
	position: absolute;
	inset: 0;
	background: oklch(21.6% 0.006 56.043);
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

#give-me-your-data h2,
#give-me-your-data i {
	margin: 0;
	width: 100%;
	max-width: 300px;
}

#data-entry {
	margin-top: 8px;
}

#signup-login button {
	width: 120px;
}

#data-entry label {
	display: block;
	margin-top: 4px;
}

#enter-my-grand-world {
	display: block;
	color: white;
	border: none;
	border-radius: 8px;
	margin-top: 8px;
	width: 250px;
	height: 40px;
	font-size: 16px;
	box-sizing: border-box;
	background: linear-gradient(
		to left,
		rgb(137, 186, 241),
		rgb(236, 117, 226)
	);
}

.round {
	border-radius: 8px;
	border: solid thin #ffffff88;
	color: oklch(70.9% 0.01 56.259);
	background: #00000033;
	padding: 8px 14px;
}

button.round {
	padding: 4px 6px;
}

.sideboob {
	border-radius: 6px;
	border-left: solid 4px #ff8888 !important;
}

p {
	margin: 0;
}

input {
	background: none;
	border: none;
	outline: none;
	color: oklch(70.9% 0.01 56.259);
	background: #00000088;
	padding: 2px 5px;
	width: 250px;
	box-sizing: border-box;
	border-bottom: solid thin #ffffff88;
}

header {
	padding: 10px;
	border-bottom: solid thin #ffffff88;
}

header h1 {
	margin: 0;
	background: linear-gradient(to left, #ff8888, #ffcc88);
	width: fit-content;
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	color: transparent;
}

#main {
	flex: 1;
	display: flex;
	height: 100%;
}

#sidebar {
	width: 300px;
	min-width: 300px;
	border-right: solid thin #ffffff88;
	display: flex;
	flex-direction: column;
	gap: 16px;
	padding: 16px;
}

#sidebar button {
	height: 45px;
	border: none;
	background: #00000033;
	color: white;
	text-align: left;
	padding-left: 12px;
	font-size: 16px;
}

#grid {
	/* sorry */
	display: flex;
	padding: 16px;
	gap: 16px;
	flex-wrap: wrap;
	align-content: flex-start;
}

.skill {
	width: 400px;
	height: min-content;
	cursor: pointer;
	transition:
		1s box-shadow,
		1s translate;
}

.skill:hover {
	box-shadow: 0 0 8px 2px #ffffff88;
	translate: 0 -8px;
}

.imtired {
	display: flex;
	align-items: center;
	gap: 8px;
}

.skill .icon {
	font-size: 50px;
	display: inline-block;
}

.skill .name {
	font-size: 30px;
	display: inline-block;
}

.skill .description {
	opacity: 0.8;
	font-style: italic;
}

progress {
	width: 100%;
	height: 20px;
}
